function enr = noisecomnc3101(frequency)
%NOISECOM Noisecom NC3101 Rauschquelle
%   bertemperaturverhltnisse der Rauschquelle berechnen
%   input arguments
%       frequency       Messfrequenzen
%   output_arguments
%       enr             bertemperaturverhltnisse
%
%   06.03.2023          T. Weber    

% bertemperaturverhltnisse der Rauschquelle durch Interpolation berechnen
cal_frequency = [10e6 100e6 1000e6 2000e6 3000e6 4000e6 5000e6 6000e6 7000e6 8000e6]; % Kalibrierfrequenzen
cal_enr = 10.^([15.86 15.81 15.42 15.23 15.16 15.13 15.22 15.26 15.40 15.54]/10); % bertemperaturverhltnisse bei den Kalibrierfrequenzen
enr = interp1(cal_frequency,cal_enr,frequency(:)); % bertemperaturverhltnisse bei den Messfrequenzen

end
