function enr = noisecomnc3102(frequency)
%NOISECOM Noisecom NC3102 Rauschquelle
%   bertemperaturverhltnisse der Rauschquelle berechnen
%   input arguments
%       frequency       Messfrequenzen
%   output_arguments
%       enr             bertemperaturverhltnisse
%
%   22.10.2019          T. Weber    

% bertemperaturverhltnisse der Rauschquelle durch Interpolation berechnen
cal_frequency = [400e6 600e6 800e6 1e9]; % Kalibrierfrequenzen
cal_enr = 10.^([15.9 15.87 15.67 15.38]/10); % bertemperaturverhltnisse bei den Kalibrierfrequenzen
enr = interp1(cal_frequency,cal_enr,frequency(:)); % bertemperaturverhltnisse bei den Messfrequenzen

end
