%Rauschzahlmessung
%
%   05.09.2019          T. Weber    

close all;
clear;

specan = 'none'; % SELECT YOUR SPECTRUM ANALYZER HERE
source = @noisecomnc3102; % verwendete Rauschquelle

frequency = (400e6:50e6:1e9)'; % Messfrequenzen
rbw = 1e+6; % groe Auflsebandbreite fr schnelle Messung
t = 1; % Mittelungsdauer
gain = 100; % Vorverstrker einschalten

% Verbindung zum Spektralanalysator aufbauen
obj = specan_connect(specan);

% Parameter der Leistungsmessung einstellen
[rbw,t,gain] = specan_parameters(obj,rbw,t,gain);

% Kalibrierung
questdlg('Rauschquelle direkt an Spektralanalysator anschlieen','Kalibrierung','OK','OK');

% Rauschquelle hei
specan_noise_on(obj);
[specan_hot,frequency] = specan_power(obj,frequency,'specan_hot.txt');

% Rauschquelle kalt
specan_noise_off(obj);
[specan_cold,frequency] = specan_power(obj,frequency,'specan_cold.txt');

% Messung
questdlg('Rauschquelle ber Messobjekt an Spektralanalysator anschlieen','Messung','OK','OK');

% Rauschquelle hei
specan_noise_on(obj);
[dut_hot,frequency] = specan_power(obj,frequency,'dut_hot.txt');

% Rauschquelle kalt
specan_noise_off(obj);
[dut_cold,frequency] = specan_power(obj,frequency,'dut_cold.txt');

% Verbindung zum Spektralanlysator schlieen
specan_disconnect(obj);

% Rauschzahl berechnen
[f_dut,ga_dut] = yfaktor(frequency,source,specan_hot,specan_cold,dut_hot,dut_cold);
data = [frequency(:)/1e9,10*log10(f_dut(:)),10*log10(ga_dut(:))];
save('rauschzahl.txt','data','-ascii');

% verfgbaren Gewinn zeichnen
figure;
plot(frequency,10*log10(ga_dut),'b-x'); % in dB

% formatieren
axis([0 frequency(end) -30 30]);
yticks(-30:10:30);
grid on;
xlabel('f/Hz');
ylabel('10log(G_A)/dB');

% Rauschzahl zeichnen
figure;
plot(frequency,10*log10(f_dut),'b-x');

% formatieren
axis([0 frequency(end) 0 30]);
yticks(0:10:30);
grid on;
xlabel('f/Hz');
ylabel('10log(F)/dB');
