function specan_noise_off(obj)
%SPECAN_NOISE_OFF Rauschquelle ausschalten
%   Kommunikation erfolgt mit SCPI-Befehlen
%   input arguments
%       obj             Instrument Object
%
%   Instrument Control Toolbox 
%       S. 1-23 bis 1-24
%
%   SCPI-Befehle 
%       DIAGnostic<1|2>:SERVice:NSOurce ON | OFF
%
%   06.09.2019          T. Weber    
%   13.12.2020          Untersttzung fr FPL1003 hinzugefgt

switch obj.Name
    case 'none'
        
    case {'zvl','fsq','fpl'}
        fprintf(obj,'DIAG:SERV:NSO OFF');
        
    otherwise
    	error('unsupported spectrum analyzer');
        
end

end
